Bug 1655904 (CVE-2018-9568) - CVE-2018-9568 kernel: Memory corruption due to incorrect socket cloning
Summary: CVE-2018-9568 kernel: Memory corruption due to incorrect socket cloning
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9568
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1725170 1770247 1770249 1657117 1657351 1657352 1657353 1657354 1657355 1717809 1725171 1725172 1770246
Blocks: 1655907
TreeView+ depends on / blocked
 
Reported: 2018-12-04 09:01 UTC by Andrej Nemec
Modified: 2019-12-03 08:11 UTC (History)
49 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A possible memory corruption due to a type confusion was found in the Linux kernel in the sk_clone_lock() function in the net/core/sock.c. The possibility of local escalation of privileges cannot be fully ruled out for a local unprivileged attacker.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:43:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0512 None None None 2019-03-13 22:58:03 UTC
Red Hat Product Errata RHSA-2019:0514 None None None 2019-03-13 18:46:31 UTC
Red Hat Product Errata RHSA-2019:2696 None None None 2019-09-10 13:46:09 UTC
Red Hat Product Errata RHSA-2019:2730 None None None 2019-09-11 09:09:20 UTC
Red Hat Product Errata RHSA-2019:2736 None None None 2019-09-11 15:29:23 UTC
Red Hat Product Errata RHSA-2019:3967 None None None 2019-11-26 11:52:32 UTC
Red Hat Product Errata RHSA-2019:4056 None None None 2019-12-03 08:11:31 UTC

Description Andrej Nemec 2018-12-04 09:01:31 UTC
A possible memory corruption due to a type confusion was found in the Linux kernel in the sk_clone_lock() function in the net/core/sock.c. A possibility of local escalation of privileges cannot be fully ruled out for a local unprivileged attacker.

References:

https://source.android.com/security/bulletin/2018-12-01.html#kernel-components

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=9d538fa60bad4f7b23193c89e843797a1cf71ef3

Comment 4 errata-xmlrpc 2019-03-13 18:46:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0514 https://access.redhat.com/errata/RHSA-2019:0514

Comment 5 errata-xmlrpc 2019-03-13 22:58:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0512 https://access.redhat.com/errata/RHSA-2019:0512

Comment 8 errata-xmlrpc 2019-09-10 13:46:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Extended Update Support

Via RHSA-2019:2696 https://access.redhat.com/errata/RHSA-2019:2696

Comment 9 errata-xmlrpc 2019-09-11 09:09:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2019:2730 https://access.redhat.com/errata/RHSA-2019:2730

Comment 10 errata-xmlrpc 2019-09-11 15:29:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2736 https://access.redhat.com/errata/RHSA-2019:2736

Comment 12 Petr Matousek 2019-11-06 13:19:28 UTC
Mitigation:

The currently known attack vector uses IPv6 for exploitation. If IPv6 is not needed on the host, disabling it mitigates this attack vector. Please see https://access.redhat.com/solutions/8709 for instructions on how to disable IPv6 in Red Hat Enterprise Linux.

Comment 14 errata-xmlrpc 2019-11-26 11:52:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2019:3967 https://access.redhat.com/errata/RHSA-2019:3967

Comment 15 errata-xmlrpc 2019-12-03 08:11:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2019:4056 https://access.redhat.com/errata/RHSA-2019:4056


Note You need to log in before you can comment on or make changes to this bug.